LemmaSampleSequenceStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.lemmatizer, class: LemmaSampleSequenceStream

# Class LemmaSampleSequenceStream

java.lang.Object
opennlp.tools.lemmatizer.LemmaSampleSequenceStream

All Implemented Interfaces:
  `AutoCloseable, SequenceStream<LemmaSample>, ObjectStream<Sequence<LemmaSample>>`

public class LemmaSampleSequenceStream extends Object implements SequenceStream<LemmaSample>
A `SequenceStream` implementation encapsulating `samples`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LemmaSampleSequenceStream(ObjectStream<LemmaSample> samples, LemmatizerContextGenerator contextGenerator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `Sequence<LemmaSample>`
  `read()`
  Returns the next `T` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.
  `Event[]`
  `updateContext(Sequence<LemmaSample> sequence, AbstractModel model)`
  Creates a new event array based on the outcomes predicted by the specified parameters for the specified `Sequence`.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LemmaSampleSequenceStream

    public LemmaSampleSequenceStream(ObjectStream<LemmaSample> samples, LemmatizerContextGenerator contextGenerator)

- ## Method Details

  - ### read

    public Sequence<LemmaSample> read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<Sequence<LemmaSample>>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### updateContext

    public Event[] updateContext(Sequence<LemmaSample> sequence, AbstractModel model)
    Description copied from interface: `SequenceStream`
    Creates a new event array based on the outcomes predicted by the specified parameters for the specified `Sequence`.
    Specified by:
      `updateContext` in interface `SequenceStream<LemmaSample>`
    Parameters:
      `sequence` - The `Sequence` to be evaluated.
      `model` - The `model` to use.
    Returns:
      The resulting `Event` array.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<Sequence<LemmaSample>>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<Sequence<LemmaSample>>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.